Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class Xhtml1DocBuilder

    java.lang.Object
      sharin.doc.builder.xhtml1.Xhtml1DocBuilder

All Implemented Interfaces:
  DocBuilder

    public class Xhtml1DocBuilder

extends Object
implements DocBuilder

Nested Class Summary
`static class` | `Xhtml1DocBuilder.Static`

Constructor Summary
`Xhtml1DocBuilder()`

Method Summary
`AElem` | `a(Object... nodes)`
`AbbrElem` | `abbr(Object... nodes)`
`AcronymElem` | `acronym(Object... nodes)`
`AddressElem` | `address(Object... nodes)`
`AppletElem` | `applet(Object... nodes)`
`AreaElem` | `area(Object... nodes)`
`BElem` | `b(Object... nodes)`
`BaseElem` | `base(Object... nodes)`
`BasefontElem` | `basefont(Object... nodes)`
`BdoElem` | `bdo(Object... nodes)`
`BigElem` | `big(Object... nodes)`
`BlockquoteElem` | `blockquote(Object... nodes)`
`BodyElem` | `body(Object... nodes)`
`BrElem` | `br(Object... nodes)`
`ButtonElem` | `button(Object... nodes)`
`CaptionElem` | `caption(Object... nodes)`
`CenterElem` | `center(Object... nodes)`
`CiteElem` | `cite(Object... nodes)`
`CodeElem` | `code(Object... nodes)`
`ColElem` | `col(Object... nodes)`
`ColgroupElem` | `colgroup(Object... nodes)`
`DdElem` | `dd(Object... nodes)`
`DelElem` | `del(Object... nodes)`
`DfnElem` | `dfn(Object... nodes)`
`DirElem` | `dir(Object... nodes)`
`DivElem` | `div(Object... nodes)`
`DlElem` | `dl(Object... nodes)`
`DtElem` | `dt(Object... nodes)`
`Elem` | `elem(String name, Object... nodes)`
`EmElem` | `em(Object... nodes)`
`FieldsetElem` | `fieldset(Object... nodes)`
`FontElem` | `font(Object... nodes)`
`FormElem` | `form(Object... nodes)`
`FrameElem` | `frame(Object... nodes)`
`FramesetElem` | `frameset(Object... nodes)`
`H1Elem` | `h1(Object... nodes)`
`H2Elem` | `h2(Object... nodes)`
`H3Elem` | `h3(Object... nodes)`
`H4Elem` | `h4(Object... nodes)`
`H5Elem` | `h5(Object... nodes)`
`H6Elem` | `h6(Object... nodes)`
`HeadElem` | `head(Object... nodes)`
`HrElem` | `hr(Object... nodes)`
`HtmlElem` | `html(Object... nodes)`
`IElem` | `i(Object... nodes)`
`IframeElem` | `iframe(Object... nodes)`
`ImgElem` | `img(Object... nodes)`
`InputElem` | `input(Object... nodes)`
`InsElem` | `ins(Object... nodes)`
`IsindexElem` | `isindex(Object... nodes)`
`KbdElem` | `kbd(Object... nodes)`
`LabelElem` | `label(Object... nodes)`
`LegendElem` | `legend(Object... nodes)`
`LiElem` | `li(Object... nodes)`
`LinkElem` | `link(Object... nodes)`
`MapElem` | `map(Object... nodes)`
`MenuElem` | `menu(Object... nodes)`
`MetaElem` | `meta(Object... nodes)`
`NoframesElem` | `noframes(Object... nodes)`
`NoscriptElem` | `noscript(Object... nodes)`
`ObjectElem` | `object(Object... nodes)`
`OlElem` | `ol(Object... nodes)`
`OptgroupElem` | `optgroup(Object... nodes)`
`OptionElem` | `option(Object... nodes)`
`PElem` | `p(Object... nodes)`
`ParamElem` | `param(Object... nodes)`
`PreElem` | `pre(Object... nodes)`
`QElem` | `q(Object... nodes)`
`SElem` | `s(Object... nodes)`
`SampElem` | `samp(Object... nodes)`
`ScriptElem` | `script(Object... nodes)`
`SelectElem` | `select(Object... nodes)`
`SmallElem` | `small(Object... nodes)`
`SpanElem` | `span(Object... nodes)`
`StrikeElem` | `strike(Object... nodes)`
`StrongElem` | `strong(Object... nodes)`
`StyleElem` | `style(Object... nodes)`
`SubElem` | `sub(Object... nodes)`
`SupElem` | `sup(Object... nodes)`
`TableElem` | `table(Object... nodes)`
`TbodyElem` | `tbody(Object... nodes)`
`TdElem` | `td(Object... nodes)`
`TextareaElem` | `textarea(Object... nodes)`
`TfootElem` | `tfoot(Object... nodes)`
`ThElem` | `th(Object... nodes)`
`TheadElem` | `thead(Object... nodes)`
`TitleElem` | `title(Object... nodes)`
`TrElem` | `tr(Object... nodes)`
`TtElem` | `tt(Object... nodes)`
`UElem` | `u(Object... nodes)`
`UlElem` | `ul(Object... nodes)`
`VarElem` | `var(Object... nodes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Xhtml1DocBuilder

    public Xhtml1DocBuilder()

Method Detail

### elem

    public Elem elem(String name,
                     Object... nodes)

  Specified by:
    `elem` in interface `DocBuilder`

### abbr

    public AbbrElem abbr(Object... nodes)

### acronym

    public AcronymElem acronym(Object... nodes)

### address

    public AddressElem address(Object... nodes)

### a

    public AElem a(Object... nodes)

### applet

    public AppletElem applet(Object... nodes)

### area

    public AreaElem area(Object... nodes)

### base

    public BaseElem base(Object... nodes)

### basefont

    public BasefontElem basefont(Object... nodes)

### bdo

    public BdoElem bdo(Object... nodes)

### b

    public BElem b(Object... nodes)

### big

    public BigElem big(Object... nodes)

### blockquote

    public BlockquoteElem blockquote(Object... nodes)

### body

    public BodyElem body(Object... nodes)

### br

    public BrElem br(Object... nodes)

### button

    public ButtonElem button(Object... nodes)

### caption

    public CaptionElem caption(Object... nodes)

### center

    public CenterElem center(Object... nodes)

### cite

    public CiteElem cite(Object... nodes)

### code

    public CodeElem code(Object... nodes)

### col

    public ColElem col(Object... nodes)

### colgroup

    public ColgroupElem colgroup(Object... nodes)

### dd

    public DdElem dd(Object... nodes)

### del

    public DelElem del(Object... nodes)

### dfn

    public DfnElem dfn(Object... nodes)

### dir

    public DirElem dir(Object... nodes)

### div

    public DivElem div(Object... nodes)

### dl

    public DlElem dl(Object... nodes)

### dt

    public DtElem dt(Object... nodes)

### em

    public EmElem em(Object... nodes)

### fieldset

    public FieldsetElem fieldset(Object... nodes)

### font

    public FontElem font(Object... nodes)

### form

    public FormElem form(Object... nodes)

### frame

    public FrameElem frame(Object... nodes)

### frameset

    public FramesetElem frameset(Object... nodes)

### h1

    public H1Elem h1(Object... nodes)

### h2

    public H2Elem h2(Object... nodes)

### h3

    public H3Elem h3(Object... nodes)

### h4

    public H4Elem h4(Object... nodes)

### h5

    public H5Elem h5(Object... nodes)

### h6

    public H6Elem h6(Object... nodes)

### head

    public HeadElem head(Object... nodes)

### hr

    public HrElem hr(Object... nodes)

### html

    public HtmlElem html(Object... nodes)

### i

    public IElem i(Object... nodes)

### iframe

    public IframeElem iframe(Object... nodes)

### img

    public ImgElem img(Object... nodes)

### input

    public InputElem input(Object... nodes)

### ins

    public InsElem ins(Object... nodes)

### isindex

    public IsindexElem isindex(Object... nodes)

### kbd

    public KbdElem kbd(Object... nodes)

### label

    public LabelElem label(Object... nodes)

### legend

    public LegendElem legend(Object... nodes)

### li

    public LiElem li(Object... nodes)

### link

    public LinkElem link(Object... nodes)

### map

    public MapElem map(Object... nodes)

### menu

    public MenuElem menu(Object... nodes)

### meta

    public MetaElem meta(Object... nodes)

### noframes

    public NoframesElem noframes(Object... nodes)

### noscript

    public NoscriptElem noscript(Object... nodes)

### object

    public ObjectElem object(Object... nodes)

### ol

    public OlElem ol(Object... nodes)

### optgroup

    public OptgroupElem optgroup(Object... nodes)

### option

    public OptionElem option(Object... nodes)

### param

    public ParamElem param(Object... nodes)

### p

    public PElem p(Object... nodes)

### pre

    public PreElem pre(Object... nodes)

### q

    public QElem q(Object... nodes)

### samp

    public SampElem samp(Object... nodes)

### script

    public ScriptElem script(Object... nodes)

### select

    public SelectElem select(Object... nodes)

### s

    public SElem s(Object... nodes)

### small

    public SmallElem small(Object... nodes)

### span

    public SpanElem span(Object... nodes)

### strike

    public StrikeElem strike(Object... nodes)

### strong

    public StrongElem strong(Object... nodes)

### style

    public StyleElem style(Object... nodes)

### sub

    public SubElem sub(Object... nodes)

### sup

    public SupElem sup(Object... nodes)

### table

    public TableElem table(Object... nodes)

### tbody

    public TbodyElem tbody(Object... nodes)

### td

    public TdElem td(Object... nodes)

### textarea

    public TextareaElem textarea(Object... nodes)

### tfoot

    public TfootElem tfoot(Object... nodes)

### thead

    public TheadElem thead(Object... nodes)

### th

    public ThElem th(Object... nodes)

### title

    public TitleElem title(Object... nodes)

### tr

    public TrElem tr(Object... nodes)

### tt

    public TtElem tt(Object... nodes)

### u

    public UElem u(Object... nodes)

### ul

    public UlElem ul(Object... nodes)

### var

    public VarElem var(Object... nodes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.